Name: sandglass
Version: 0.5.0
Release: 1%{?dist}
Summary: Versioning system for configuration files
Group: Applications/System
License: GPLv3+
URL: http://jvcelak.fedorapeople.org/sandglass/
Source0: http://jvcelak.fedorapeople.org/sandglass/sandglass-%{version}.tar.gz

BuildArch: noarch
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: python >= 2.7
Requires: yum >= 3.2, git >= 1.7, GitPython >= 0.2
Requires(pre): shadow-utils
Requires(post): openssh


%description
Sandglass is a tool for versioning of configuration files. It is designed
to eliminate problems of existing solutions while keeping their benefits.
In addition, it brings some new and useful features like synchronization
with remote server and integration with other management and configuration
infrastructure tools.

%prep
%setup -q


%build


%install
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}

%pre
# create sglserver account
getent group sglserver >/dev/null || groupadd -r sglserver
getent passwd sglserver >/dev/null || \
	useradd -r -g sglserver -d %{_sharedstatedir}/sandglass/server \
	-s %{_bindir}/git-shell -c "Sandglass Server" sglserver
exit 0

%post
# generate client SSH key
keyfile=%{_sharedstatedir}/sandglass/client_key
if [ ! -f "$keyfile" ]; then
	ssh-keygen -N "" -f "$keyfile" &>/dev/null
fi

# fix permissions
mkdir -p %{_sharedstatedir}/sandglass/server -m 0750
chown -R sglserver: %{_sharedstatedir}/sandglass/server

service crond condrestart
exit 0

%postun
service crond condrestart
exit 0


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/sandglass.conf
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/sandglass-yum.conf
%config %{_sysconfdir}/cron.d/99sandglass
%attr(0770,root,sglserver) %dir %{_sharedstatedir}/sandglass
%{python_sitelib}/sandglass
%{_datadir}/yum-plugins/sandglass-yum.py*
%{_libexecdir}/sandglass/cron.py*
%{_libexecdir}/sandglass/ssh.sh
%{_sbindir}/sgl
%{_sbindir}/sglserver


%changelog
* Tue May 17 2011 Jan Vcelak <xvcela03@stud.fit.vutbr.cz> 0.5.0-1
- initial version
